From fa2a972cffe7f69eabf946af5e7341e5ccf63e5e Mon Sep 17 00:00:00 2001
From: Aaryaman Vasishta <jem456.vasishta@gmail.com>
Date: Fri, 14 Aug 2015 17:18:21 +0530
Subject: [PATCH 1/3] d3drm: Add IDirect3DRMObject to be queried from
 IDirect3DRMDevice*.
Reply-To: wine-devel <wine-devel@winehq.org>

---
 dlls/d3drm/device.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dlls/d3drm/device.c b/dlls/d3drm/device.c
index e858728..7719e22 100644
--- a/dlls/d3drm/device.c
+++ b/dlls/d3drm/device.c
@@ -997,6 +997,7 @@ static HRESULT WINAPI d3drm_device3_QueryInterface(IDirect3DRMDevice3 *iface, RE
     TRACE("iface %p, riid %s, out %p.\n", iface, debugstr_guid(riid), out);
 
     if (IsEqualGUID(riid, &IID_IDirect3DRMDevice3)
+            || IsEqualGUID(riid, &IID_IDirect3DRMObject)
             || IsEqualGUID(riid, &IID_IUnknown))
     {
         *out = &device->IDirect3DRMDevice3_iface;
-- 
2.3.2 (Apple Git-55)

